6.0.0-git
2019-03-21

[#12217] Filter creates duplicate folder, when it has national letters
Summary Filter creates duplicate folder, when it has national letters
Queue Ingo
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester mantas.geguzis (at) ittc (dot) vu (dot) lt
Created 2013-04-25 (2156 days ago)
Due
Updated 2013-07-29 (2061 days ago)
Assigned
Resolved 2013-04-29 (2152 days ago)
Milestone
Patch No

History
2013-07-29 14:50:02 mantas (dot) geguzis (at) ittc (dot) vu (dot) lt Comment #12 Reply to this comment

[Show Quoted Text - 12 lines]
Does this fix not contradict to what is said in comment #7 
http://bugs.horde.org/ticket/12217#c7 ?
2013-07-24 22:17:19 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 1ea5f501bdb4fa4e514294a348520764e6fc90a3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 24 16:16:57 2013 -0600

     No need to output mailbox in UTF7-IMAP format in HTML (Bug #12217)

  ingo/lib/Ingo.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/1ea5f501bdb4fa4e514294a348520764e6fc90a3
2013-07-24 22:16:13 Michael Slusarz Comment #10 Reply to this comment

[Show Quoted Text - 10 lines]
I don't see this.  When creating a new folder in ingo, it creates the 
folder using the CORRECT 2nd string (the first string is incorrect.):

C: 4 CREATE Kir&AOE-ly L&AOE-szl&APM-
S: 4 OK Create completed.

And it creates the correct filter.

I can verify that *subsequently* editing that rule and saving could 
cause problems.  But that's not what you said you did here (and this 
has been fixed).
2013-07-22 10:29:19 l (dot) kiraly (at) madalbal (dot) hu Comment #9 Reply to this comment
This bug isn't resolved.
I created a new ingo rule to move mails to "Király László" folder.
It's been created in ingo. After a test mail I got 2 different folders:

Kir&-AOE-ly L&-AOE-szl&-APM-
and
Kir&AOE-ly L&AOE-szl&APM-

The first created by the "Create new folder" function in ingo, and the 
second by the filter what I created.

Imp shows the first good and the second like here.

As you can see there's a difference beetween the encoding of the 
accents (the "-" char).
2013-06-12 14:52:20 g (dot) arminas (at) gmail (dot) com Comment #8 Reply to this comment
The problem remains in Ingo 3.1.1. The problem is very simple - when 
adding new rule, which uses not (yet) existing folder, the folder name 
is not encoded in utf7imap.

e.g. I want to add new rule, which move emails to folder "ab?". I've 
found this in html after entering new mailbox name.
<input id="actionvalue_new" name="actionvalue_new" type="hidden" value="ab?">
but it should be:
<input id="actionvalue_new" name="actionvalue_new" type="hidden" 
value="ab&AQ0-">

All existing mailboxes, listed in the dropdown (id="actionvalue"), are 
encoded in utf7imap.

So imho there is two options here:
1. Encode mailbox name with javascript right before setting it to 
actionvalue_new field.
2. Before saving rule, check weather the mailbox exists. If it 
doesn't, convert mailbox name from utf8 to utf7imap before performing 
any action further.
2013-05-24 03:59:08 Michael Slusarz Comment #7 Reply to this comment
this patch didn't help, but this did. Please take a look at diff 
attached and verify weather it should be in that way.
No.  IMAP mailbox names are stored internally in Ingo as UTF7-IMAP (a 
historical relic).  So this would totally break things.

If you have pre-existing mailboxes in filters you created before this 
fix, you will have to delete those mailboxes.
2013-05-23 12:07:09 g (dot) arminas (at) gmail (dot) com Comment #6
New Attachment: patch.diff Download
Reply to this comment
Hi,

this patch didn't help, but this did. Please take a look at diff 
attached and verify weather it should be in that way.
2013-04-29 07:05:32 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Ingo 3.0.4.
2013-04-29 07:04:36 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit fbbbd00d17a0bcfefacd41f6f2ef10869de1f679
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 29 01:01:53 2013 -0600

     [mms] Fix copy/move actions when destination mailbox contains non 
ASCII characters (Bug #12217).

     Conflicts:
             ingo/lib/Script/Imap.php
             ingo/package.xml

  ingo/docs/CHANGES        |    2 ++
  ingo/lib/Script/Imap.php |   17 ++++++++++-------
  ingo/package.xml         |    1 +
  3 files changed, 13 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/fbbbd00d17a0bcfefacd41f6f2ef10869de1f679
2013-04-29 07:02:31 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_0):

commit 39ac08882673ddbd3251abc248af3e8795f6ece3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Apr 29 01:01:53 2013 -0600

     [mms] Fix copy/move actions when destination mailbox contains non 
ASCII characters (Bug #12217).

  ingo/docs/CHANGES        |    2 ++
  ingo/lib/Script/Imap.php |   17 ++++++++++-------
  ingo/package.xml         |    2 ++
  3 files changed, 14 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/39ac08882673ddbd3251abc248af3e8795f6ece3
2013-04-25 08:44:42 mantas (dot) geguzis (at) ittc (dot) vu (dot) lt Comment #2
New Attachment: folder names.png Download
Reply to this comment
If folder name has Lithuanian letters (?????????), and it is chosen 
in filter to move to that folder, then another folder is created and 
messages are moved to new one. For example folder name is test?, and 
when filter rule works, it creates folder named test&AWE-
Attached picture with folder names.

2013-04-25 08:39:01 mantas (dot) geguzis (at) ittc (dot) vu (dot) lt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Filter creates duplicate folder, when it has national letters
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
If folder name has Lithuanian letters (?????????), and it is chosen in 
filter to move to that folder, then another folder is created and 
messages are moved to new one. For example folder name is test?, and 
when filter rule works, it creates folder named test&AWE-

Saved Queries